#include "outfile.h"
#include <iostream>

using namespace std;

///Kimeneti fájl megnyitása, sikertelen megnyitás esetén hiba
OutFile::OutFile(const std::string& fname)
{
    f.open(fname.c_str());
    if(f.fail()){
        cerr<<fname<<" nem jott letre!\n";
        throw FILEERROR;
    }
}

///fájlba kiírás
void OutFile::write(const kaktusz &dx)
{
    f <<dx.nev<<" "<<dx.haza<<" "<<dx.szin<<" "<<dx.meret<<endl;
}
